<script src="./Script.js"></script>

<template>
  <div>
    <div
      class="modal s--modal fade nt--modal-confirm-choice"
      data-backdrop="static"
      data-keyboard="false"
      id="restoreCustomer"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <!--<h3 class="nt&#45;&#45;modal-confirm-choice-title">-->
            <!--Thông báo-->
            <!--</h3>-->
            <div class="nt--modal-confirm-choice-content">
              <div class="nt--modal-confirm-choice-content-title-top">
                <template v-if="is_restored_multiple">
                  <template v-if="total_restored == 'tất cả'">Phục hồi tất cả khách hàng ?</template>
                  <template v-else>Phục hồi {{ total_restored }} khách hàng ?</template>
                </template>
                <template v-else>
                  Phục hồi khách hàng
                  <span class="nt-color-warning">{{ customer_name }}</span>?
                </template>
              </div>
            </div>
          </div>

          <div class="modal-footer">
            <button
              type="button"
              class="nt-button nt-button-secondary nt-button-modal"
              data-dismiss="modal"
            >Hủy bỏ</button>
            <button
              @click.prevent="restore()"
              type="submit"
              class="nt-button nt-button-warning nt-button-modal"
              data-dismiss="modal"
            >Đồng ý</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
